LifecycleException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.LifecycleException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Class LifecycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.lifecycle.LifecycleException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConnectException, CreateException, DisposeException, FatalException, InitialisationException, StartException, StopException

    public class LifecycleException

extends MuleException

`LifecycleException` TODO

See Also:
  Serialized Form

Constructor Summary
`LifecycleException(Message message, Object component)`
`LifecycleException(Message message, Throwable cause, Object component)`
`LifecycleException(Throwable cause, Object component)`

Method Summary
`Object` | `getComponent()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleException

    public LifecycleException(Message message,
                              Object component)

Parameters:
  `message` - the exception message
  `service` - the object that failed during a lifecycle method call

### LifecycleException

    public LifecycleException(Message message,
                              Throwable cause,
                              Object component)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

### LifecycleException

    public LifecycleException(Throwable cause,
                              Object component)

Parameters:
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

Method Detail

### getComponent

    public Object getComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.